Apache Tomcat 6.0.32

## org.apache.coyote.ajp
Class AjpProcessor.SocketInputBuffer

    java.lang.Object
      org.apache.coyote.ajp.AjpProcessor.SocketInputBuffer

All Implemented Interfaces:
  InputBuffer

Enclosing class:
  AjpProcessor

    protected class AjpProcessor.SocketInputBuffer

extends java.lang.Object
implements InputBuffer

This class is an input buffer which will read its data from an input stream.

Constructor Summary
`protected` `AjpProcessor.SocketInputBuffer()`

Method Summary
`int` `doRead(ByteChunk chunk, Request req)` Read bytes into the specified chunk.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AjpProcessor.SocketInputBuffer

    protected AjpProcessor.SocketInputBuffer()

Method Detail

### doRead

    public int doRead(ByteChunk chunk,
                      Request req)
               throws java.io.IOException

  Read bytes into the specified chunk.

  Specified by:
    `doRead` in interface `InputBuffer`
  Throws:
    `java.io.IOException`

Apache Tomcat 6.0.32

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.